# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html

commitname:
   script: 
   - echo $(git log -1 --pretty=%B)
   - echo $(git log -1 --format=%H)

build:
  image: docker:19.03.11
  stage: build
  services:
    - docker:19.03.11-dind
  variables:
   # IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG  
     IMAGE_TAG: $CI_REGISTRY_IMAGE:latest
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG
  only:
    - master